%global pypi_name rouge
%global pypi_version 1.0.1
%define anolis_release 1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{dist}
Summary:        A full Python librarie for the ROUGE metric

License:        LICENCE.txt
URL:            http://github.com/pltrdy/rouge
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)

%description
A full Python librarie for the ROUGE metric

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)
Requires:       python3dist(six)
%description -n python3-%{pypi_name}
A full Python librarie for the ROUGE metric

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/rouge
%{python3_sitelib}/bin
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Nov 2 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.0.1-1
- Initial package.